%global mod_name mailer-plugin
%global short_name mailer
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-mailer-plugin
Version:        1.17
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jenkins Mailer Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/mailer-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.modules:instance-identity)
BuildRequires:  mvn(com.google.code.findbugs:annotations)

BuildRequires:  zip

# test deps
#BuildRequires:  mvn(junit:junit)
#BuildRequires:  mvn(org.jvnet.mock-javamail:mock-javamail)
#BuildRequires:  mvn(org.mockito:mockito-all)
#BuildRequires:  mvn(org.powermock:powermock-api-mockito)
#BuildRequires:  mvn(org.powermock:powermock-module-junit4)

BuildArch:      noarch

%description
This package provides default mailer plugin for Jenkins.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

# upstream has this in Jenkins' parent POM, which we don't have
%pom_add_dep com.google.code.findbugs:annotations:provided

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing test dep org.jvnet.mock-javamail:mock-javamail
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Fri Apr 29 2016 daviddavid <daviddavid> 1.17-1.mga6
+ Revision: 1007658
- Update to 1.17

* Fri Mar 11 2016 neoclust <neoclust> 1.16-3.mga6
+ Revision: 989089
- Rebuild against fixed jenkins
- imported package jenkins-mailer-plugin

